summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsL1pKn072020-11-17 00:21:02 +0100
committersL1pKn072020-11-17 00:21:02 +0100
commitecfd31e4c0151b8fe3811eee8aab507ca2d447b5 (patch)
tree58cce608bb1883116e7f2f2a2bbf008284080c56
parenteca502efcb45cd7b2d1a9471df0a4835ac96ac74 (diff)
downloadaur-ecfd31e4c0151b8fe3811eee8aab507ca2d447b5.tar.gz
bump
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD21
2 files changed, 28 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e98ff2e1e41..9d13eff8a1b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = pipewire-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (GIT version)
- pkgver = 0.3.15.75.g80e063c6
+ pkgver = 0.3.15.92.g573e2afd
pkgrel = 1
url = https://pipewire.org
arch = x86_64
@@ -74,5 +74,13 @@ pkgname = pipewire-pulse-git
depends = libpipewire-0.3.so
depends = libglib-2.0.so
provides = pipewire-pulse
+ provides = pulseaudio
conflicts = pipewire-pulse
+pkgname = pipewire-ffmpeg-git
+ pkgdesc = Server and user space API to deal with multimedia pipelines. (FFmpeg SPA plugin)(GIT version)
+ depends = libpipewire-0.3.so
+ depends = ffmpeg
+ provides = pipewire-ffmpeg
+ conflicts = pipewire-ffmpeg
+
diff --git a/PKGBUILD b/PKGBUILD
index 69ead561013..9fd3c3f9472 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,8 +4,9 @@ pkgname=('pipewire-git'
'pipewire-jack-git'
'pipewire-alsa-git'
'pipewire-pulse-git'
+ 'pipewire-ffmpeg-git'
)
-pkgver=0.3.15.75.g80e063c6
+pkgver=0.3.15.92.g573e2afd
pkgrel=1
pkgdesc='Server and user space API to deal with multimedia pipelines. (GIT version)'
arch=('x86_64')
@@ -119,6 +120,9 @@ package_pipewire-git() {
rm -rv "$pkgdir"/usr/share/alsa-card-profile
_pick pulse usr/bin/pipewire-pulse usr/lib/systemd/user/pipewire-pulse*
+
+ _pick ffmpeg usr/lib/spa-0.2/ffmpeg/libspa-ffmpeg.so
+
}
package_pipewire-docs-git() {
@@ -157,8 +161,21 @@ package_pipewire-pulse-git() {
depends=("libpipewire-${pkgver:0:3}.so"
'libglib-2.0.so'
)
- provides=('pipewire-pulse')
+ provides=('pipewire-pulse'
+ 'pulseaudio'
+ )
conflicts=('pipewire-pulse')
mv pulse/* "${pkgdir}"
}
+
+package_pipewire-ffmpeg-git() {
+ pkgdesc='Server and user space API to deal with multimedia pipelines. (FFmpeg SPA plugin)(GIT version)'
+ depends=("libpipewire-${pkgver:0:3}.so"
+ 'ffmpeg'
+ )
+ provides=('pipewire-ffmpeg')
+ conflicts=('pipewire-ffmpeg')
+
+ mv ffmpeg/* "${pkgdir}"
+}